"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TableErrs = (function () {
    function TableErrs(id) {
        this.START_CELL = 'First cell must contain "Table:" and specify 1 and only 1 ' +
            'fact.';
        this.FACT_FALSEY = 'The fact specified in the first cell was not present or is ' +
            'null. Please use an instance-object or an array of instances-objects as a fact value.';
        this.COL_HEADER = 'Action/Condition column headers can only be "Condition" ' +
            'or "Action".';
        this.COL_HEADER_ARGMT = 'All conditions must be specified before all actions';
        this.OP_BLANK = 'Operation cannot be blank';
        this.OP_FORMAT = 'The operation must began with the Fact\'s attribute, contain ' +
            'one operator, and end with "$param". Operation:';
        this.ATTR_UNDEF = 'Attribute does not exist on the fact for operation:';
        this.MUST_END_WITH_PARAM = 'Condition operation must end with "$param". ' +
            'Operation:';
        this.PARAM_COUNT = 'The number of params for an action operation must match the ' +
            'number of argument for the method:';
        this.ASSIGN_PARAM_COUNT = 'An assignment action operation can only contain ' +
            'one argument. Assignment:';
        this.RULE_NAME_EMPTY = 'The rule name (first cell for a rule row for a decision ' +
            'table) cannot be empty.';
        this.NOT_AN_OP = 'The following operator is not a comparison operator:';
        this.INVALID_VAL = 'The value provided in the table was not a null, boolean, ' +
            'number, string, or import. Cell value or values:';
        this.id = 'Error on DecisionTable ' + id + ': ';
    }
    Object.defineProperty(TableErrs.prototype, "startCell", {
        get: function () {
            return this.id + this.START_CELL;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TableErrs.prototype, "factFalsey", {
        get: function () {
            return this.id + this.FACT_FALSEY;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TableErrs.prototype, "colHeader", {
        get: function () {
            return this.id + this.COL_HEADER;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TableErrs.prototype, "colHeaderArgmt", {
        get: function () {
            return this.id + this.COL_HEADER_ARGMT;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TableErrs.prototype, "opBlank", {
        get: function () {
            return this.id + this.OP_BLANK;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TableErrs.prototype, "opFormat", {
        get: function () {
            return this.id + this.OP_FORMAT;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TableErrs.prototype, "attrUndef", {
        get: function () {
            return this.id + this.ATTR_UNDEF;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TableErrs.prototype, "mustEndWithParam", {
        get: function () {
            return this.id + this.MUST_END_WITH_PARAM;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TableErrs.prototype, "paramCount", {
        get: function () {
            return this.id + this.PARAM_COUNT;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TableErrs.prototype, "ruleNameEmpty", {
        get: function () {
            return this.id + this.RULE_NAME_EMPTY;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TableErrs.prototype, "assignParamCount", {
        get: function () {
            return this.id + this.ASSIGN_PARAM_COUNT;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TableErrs.prototype, "notAnOp", {
        get: function () {
            return this.id + this.NOT_AN_OP;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TableErrs.prototype, "invalidVal", {
        get: function () {
            return this.id + this.INVALID_VAL;
        },
        enumerable: false,
        configurable: true
    });
    return TableErrs;
}());
exports.default = TableErrs;
//# sourceMappingURL=TableErrs.js.map