"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Logger = exports.parseCell = exports.valsToArr = void 0;
var tslib_1 = require("tslib");
var colors_1 = tslib_1.__importDefault(require("colors"));
var valsToArr = function (obj) {
    return Object.values(obj).map(function (header) { return header.trim(); });
};
exports.valsToArr = valsToArr;
var parseCell = function (cellValStr, imports) {
    cellValStr = cellValStr.trim();
    var cellValLowerCase = cellValStr.toLowerCase();
    if (!isNaN(Number(cellValStr))) {
        return Number(cellValStr);
    }
    else if (cellValLowerCase === 'true') {
        return true;
    }
    else if (cellValLowerCase === 'false') {
        return false;
    }
    else if (cellValLowerCase === 'null') {
        return null;
    }
    else if (cellValStr.startsWith('\'') && cellValStr.endsWith('\'')) {
        return cellValStr.substring(1, cellValStr.length - 1);
    }
    else if (cellValStr.startsWith('"') && cellValStr.endsWith('"')) {
        return cellValStr.substring(1, cellValStr.length - 1);
    }
    else if (cellValStr.startsWith('“') && cellValStr.endsWith('”')) {
        return cellValStr.substring(1, cellValStr.length - 1);
    }
    var importKey = cellValStr;
    var importVal;
    if (cellValStr.includes('.')) {
        var arr = cellValStr.split('.');
        importKey = arr[0];
        importVal = arr[1];
    }
    if (imports.hasOwnProperty(importKey)) {
        if (importVal) {
            return imports[importKey][importVal];
        }
        else {
            return imports[importKey];
        }
    }
    return null;
};
exports.parseCell = parseCell;
var Logger = (function () {
    function Logger(showLogs) {
        this._showsLogs = !!showLogs;
    }
    Object.defineProperty(Logger.prototype, "showLogs", {
        get: function () {
            return this._showsLogs;
        },
        enumerable: false,
        configurable: true
    });
    Logger.prototype.log = function (msg) {
        if (this._showsLogs) {
            console.log(colors_1.default.green(msg));
        }
    };
    Logger.prototype.warn = function (msg) {
        if (this._showsLogs) {
            console.log(colors_1.default.yellow(msg));
        }
    };
    return Logger;
}());
exports.Logger = Logger;
//# sourceMappingURL=shared.js.map